Activity log for bug #1186558

Date Who What changed Old value New value Message
2013-06-01 14:29:42 Jeremy Bicha bug added bug
2013-06-04 00:58:39 Launchpad Janitor webkit (Ubuntu): status New Confirmed
2013-06-04 00:58:47 Adam Dingle bug added subscriber Adam Dingle
2013-06-04 06:25:02 Dmitry Shachnev bug added subscriber Dmitry Shachnev
2013-06-22 15:56:12 Jeremy Bicha summary Please merge webkitgtk 2.0.2 from Debian Please merge webkitgtk 2.0.3 from Debian
2013-06-22 15:56:52 Jeremy Bicha description WebKitGTK 2.0 is a dependency of Epiphany 3.8. The webkitgtk developers have now enabled webkit2 by default (and dropped the previous webkit api to maintenance mode). The Debian packaging enables both webkit and webkit2. Note that Debian has changed the source package name from webkit to webkitgtk to match upstream's name change. http://ftp-master.metadata.debian.org/changelogs/main/w/webkitgtk/experimental_changelog Ubuntu remaining diff: * Sync with Debian. Remaining changes: - debian/control: + Don't recommend universe gstreamer codecs + Build-depend on libgudev-1.0-dev for gamepad feature - debian/rules: + Disable jit on armhf too + use -Wl,--reduce-memory-overheads to fix LP builder timeout? * Dropped changes: - debian/control: + Explicitly BD on libxcomposite-dev and libxdamage-dev * TODO: libwebp needs an approved MIR (LP: #1186553) ProblemType: Bug DistroRelease: Ubuntu 13.10 Package: libwebkitgtk-1.0-0 1.10.2-0ubuntu1 ProcVersionSignature: Ubuntu 3.9.0-2.7-generic 3.9.3 Uname: Linux 3.9.0-2-generic x86_64 ApportVersion: 2.10.2-0ubuntu1 Architecture: amd64 Date: Sat Jun 1 10:24:24 2013 MarkForUpload: True SourcePackage: webkit UpgradeStatus: Upgraded to saucy on 2013-05-07 (24 days ago) WebKitGTK 2.0 is a dependency of Epiphany 3.8. The webkitgtk developers have now enabled webkit2 by default (and dropped the previous webkit api to maintenance mode). The Debian packaging enables both webkit and webkit2. Note that Debian has changed the source package name from webkit to webkitgtk to match upstream's name change. http://ftp-master.metadata.debian.org/changelogs/main/w/webkitgtk/experimental_changelog Ubuntu remaining diff: * Sync with Debian (LP: #1186558). Remaining changes: - debian/control: + Don't recommend universe gstreamer codecs * Dropped changes: - debian/control: + Explicitly BD on libxcomposite-dev and libxdamage-dev - debian/rules: + Disable jit on armhf too + use -Wl,--reduce-memory-overheads to fix LP builder timeout? * TODO: libwebp needs an approved MIR (LP: #1186553) ProblemType: Bug DistroRelease: Ubuntu 13.10 Package: libwebkitgtk-1.0-0 1.10.2-0ubuntu1 ProcVersionSignature: Ubuntu 3.9.0-2.7-generic 3.9.3 Uname: Linux 3.9.0-2-generic x86_64 ApportVersion: 2.10.2-0ubuntu1 Architecture: amd64 Date: Sat Jun 1 10:24:24 2013 MarkForUpload: True SourcePackage: webkit UpgradeStatus: Upgraded to saucy on 2013-05-07 (24 days ago)
2013-06-22 16:02:28 Jeremy Bicha description WebKitGTK 2.0 is a dependency of Epiphany 3.8. The webkitgtk developers have now enabled webkit2 by default (and dropped the previous webkit api to maintenance mode). The Debian packaging enables both webkit and webkit2. Note that Debian has changed the source package name from webkit to webkitgtk to match upstream's name change. http://ftp-master.metadata.debian.org/changelogs/main/w/webkitgtk/experimental_changelog Ubuntu remaining diff: * Sync with Debian (LP: #1186558). Remaining changes: - debian/control: + Don't recommend universe gstreamer codecs * Dropped changes: - debian/control: + Explicitly BD on libxcomposite-dev and libxdamage-dev - debian/rules: + Disable jit on armhf too + use -Wl,--reduce-memory-overheads to fix LP builder timeout? * TODO: libwebp needs an approved MIR (LP: #1186553) ProblemType: Bug DistroRelease: Ubuntu 13.10 Package: libwebkitgtk-1.0-0 1.10.2-0ubuntu1 ProcVersionSignature: Ubuntu 3.9.0-2.7-generic 3.9.3 Uname: Linux 3.9.0-2-generic x86_64 ApportVersion: 2.10.2-0ubuntu1 Architecture: amd64 Date: Sat Jun 1 10:24:24 2013 MarkForUpload: True SourcePackage: webkit UpgradeStatus: Upgraded to saucy on 2013-05-07 (24 days ago) WebKitGTK 2.0 is a dependency of Epiphany 3.8. The webkitgtk developers have now enabled webkit2 by default (and dropped the previous webkit api to maintenance mode). The Debian packaging enables both webkit and webkit2. Note that Debian has changed the source package name from webkit to webkitgtk to match upstream's name change. http://ftp-master.metadata.debian.org/changelogs/main/w/webkitgtk/experimental_changelog Ubuntu remaining diff:   * Sync with Debian (LP: #1186558). Remaining changes:     - debian/control:       + Don't recommend universe gstreamer codecs   * Dropped changes:     - debian/control:       + Explicitly BD on libxcomposite-dev and libxdamage-dev     - debian/rules:       + Disable jit on armhf too (dropped in 2.0.3-1ubuntu1~build1 since Debian doesn't seem to need it; we should check if this is still needed)       + use -Wl,--reduce-memory-overheads to fix LP builder timeout (also dropped in 2.0.3-1ubuntu1~build1 but it probably helps reduce the number of attempts needed to build on the amd64 PPA builders so we should add it back)   * TODO: libwebp needs an approved MIR (LP: #1186553) Packaged in the GNOME3 PPA for Raring & Saucy ProblemType: Bug DistroRelease: Ubuntu 13.10 Package: libwebkitgtk-1.0-0 1.10.2-0ubuntu1 ProcVersionSignature: Ubuntu 3.9.0-2.7-generic 3.9.3 Uname: Linux 3.9.0-2-generic x86_64 ApportVersion: 2.10.2-0ubuntu1 Architecture: amd64 Date: Sat Jun 1 10:24:24 2013 MarkForUpload: True SourcePackage: webkit UpgradeStatus: Upgraded to saucy on 2013-05-07 (24 days ago)
2013-06-24 13:22:58 Launchpad Janitor branch linked lp:~ubuntu-desktop/webkit/ubuntu
2013-06-24 13:29:10 Jeremy Bicha description WebKitGTK 2.0 is a dependency of Epiphany 3.8. The webkitgtk developers have now enabled webkit2 by default (and dropped the previous webkit api to maintenance mode). The Debian packaging enables both webkit and webkit2. Note that Debian has changed the source package name from webkit to webkitgtk to match upstream's name change. http://ftp-master.metadata.debian.org/changelogs/main/w/webkitgtk/experimental_changelog Ubuntu remaining diff:   * Sync with Debian (LP: #1186558). Remaining changes:     - debian/control:       + Don't recommend universe gstreamer codecs   * Dropped changes:     - debian/control:       + Explicitly BD on libxcomposite-dev and libxdamage-dev     - debian/rules:       + Disable jit on armhf too (dropped in 2.0.3-1ubuntu1~build1 since Debian doesn't seem to need it; we should check if this is still needed)       + use -Wl,--reduce-memory-overheads to fix LP builder timeout (also dropped in 2.0.3-1ubuntu1~build1 but it probably helps reduce the number of attempts needed to build on the amd64 PPA builders so we should add it back)   * TODO: libwebp needs an approved MIR (LP: #1186553) Packaged in the GNOME3 PPA for Raring & Saucy ProblemType: Bug DistroRelease: Ubuntu 13.10 Package: libwebkitgtk-1.0-0 1.10.2-0ubuntu1 ProcVersionSignature: Ubuntu 3.9.0-2.7-generic 3.9.3 Uname: Linux 3.9.0-2-generic x86_64 ApportVersion: 2.10.2-0ubuntu1 Architecture: amd64 Date: Sat Jun 1 10:24:24 2013 MarkForUpload: True SourcePackage: webkit UpgradeStatus: Upgraded to saucy on 2013-05-07 (24 days ago) WebKitGTK 2.0 is a dependency of Epiphany 3.8. The webkitgtk developers have now enabled webkit2 by default (and dropped the previous webkit api to maintenance mode). The Debian packaging enables both webkit and webkit2. Note that Debian has changed the source package name from webkit to webkitgtk to match upstream's name change. http://ftp-master.metadata.debian.org/changelogs/main/w/webkitgtk/experimental_changelog Ubuntu remaining diff:   * Sync with Debian (LP: #1186558). Remaining changes:     - debian/control:       + Don't recommend universe gstreamer codecs   * Dropped changes:     - debian/control:       + Explicitly BD on libxcomposite-dev and libxdamage-dev     - debian/rules:       + Disable jit on armhf too (dropped in 2.0.3-1ubuntu1~build1 since Debian doesn't seem to need it; we should check if this is still needed)       + use -Wl,--reduce-memory-overheads to fix LP builder timeout (i386 seems to build fine without this; amd64 did time out about 20 times but we don't use even --no-keep-memory there)   * TODO: libwebp needs an approved MIR (LP: #1186553) Available now in the Ubuntu Desktop PPA for Saucy Packaging at https://code.launchpad.net/~ubuntu-desktop/webkit/ubuntu ProblemType: Bug DistroRelease: Ubuntu 13.10 Package: libwebkitgtk-1.0-0 1.10.2-0ubuntu1 ProcVersionSignature: Ubuntu 3.9.0-2.7-generic 3.9.3 Uname: Linux 3.9.0-2-generic x86_64 ApportVersion: 2.10.2-0ubuntu1 Architecture: amd64 Date: Sat Jun 1 10:24:24 2013 MarkForUpload: True SourcePackage: webkit UpgradeStatus: Upgraded to saucy on 2013-05-07 (24 days ago)
2013-06-27 11:51:22 Sebastien Bacher bug watch added http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=711750
2013-07-11 23:35:48 Jackson Doak bug watch added http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=716733
2013-07-11 23:35:48 Jackson Doak bug task added webkit (Debian)
2013-07-12 00:25:25 Bug Watch Updater webkit (Debian): status Unknown New
2013-07-12 14:26:32 jcv bug added subscriber John V.
2013-07-13 00:44:46 Bug Watch Updater webkit (Debian): status New Fix Released
2013-07-17 09:59:02 Alin Andrei bug added subscriber Alin Andrei
2013-07-20 15:30:21 frenchy82 bug added subscriber frenchy82
2013-08-13 15:48:36 Jeremy Bicha summary Please merge webkitgtk 2.0.3 from Debian Please merge webkitgtk 2.0.4 from Debian
2013-08-13 15:52:34 Jeremy Bicha description WebKitGTK 2.0 is a dependency of Epiphany 3.8. The webkitgtk developers have now enabled webkit2 by default (and dropped the previous webkit api to maintenance mode). The Debian packaging enables both webkit and webkit2. Note that Debian has changed the source package name from webkit to webkitgtk to match upstream's name change. http://ftp-master.metadata.debian.org/changelogs/main/w/webkitgtk/experimental_changelog Ubuntu remaining diff:   * Sync with Debian (LP: #1186558). Remaining changes:     - debian/control:       + Don't recommend universe gstreamer codecs   * Dropped changes:     - debian/control:       + Explicitly BD on libxcomposite-dev and libxdamage-dev     - debian/rules:       + Disable jit on armhf too (dropped in 2.0.3-1ubuntu1~build1 since Debian doesn't seem to need it; we should check if this is still needed)       + use -Wl,--reduce-memory-overheads to fix LP builder timeout (i386 seems to build fine without this; amd64 did time out about 20 times but we don't use even --no-keep-memory there)   * TODO: libwebp needs an approved MIR (LP: #1186553) Available now in the Ubuntu Desktop PPA for Saucy Packaging at https://code.launchpad.net/~ubuntu-desktop/webkit/ubuntu ProblemType: Bug DistroRelease: Ubuntu 13.10 Package: libwebkitgtk-1.0-0 1.10.2-0ubuntu1 ProcVersionSignature: Ubuntu 3.9.0-2.7-generic 3.9.3 Uname: Linux 3.9.0-2-generic x86_64 ApportVersion: 2.10.2-0ubuntu1 Architecture: amd64 Date: Sat Jun 1 10:24:24 2013 MarkForUpload: True SourcePackage: webkit UpgradeStatus: Upgraded to saucy on 2013-05-07 (24 days ago) WebKitGTK 2.0 is a dependency of Epiphany 3.8. The webkitgtk developers have now enabled webkit2 by default (and dropped the previous webkit api to maintenance mode). The Debian packaging enables both webkit and webkit2. Note that Debian has changed the source package name from webkit to webkitgtk to match upstream's name change. http://ftp-master.metadata.debian.org/changelogs/main/w/webkitgtk/experimental_changelog Ubuntu remaining diff:   * Sync with Debian (LP: #1186558). Remaining changes:     - debian/control:       + Don't recommend universe gstreamer codecs   * Dropped changes:     - debian/control:       + Explicitly BD on libxcomposite-dev and libxdamage-dev     - debian/rules:       + Disable jit on armhf too       + use -Wl,--reduce-memory-overheads to fix LP builder timeout * TODO: libwebp needs an approved MIR (LP: #1186553) * TODO: Fails to build on PowerPC https://buildd.debian.org/status/logs.php?pkg=webkitgtk&arch=powerpc Available now in the GNOME 3 PPA for Saucy Packaging at https://code.launchpad.net/~gnome3-team/gnome3/ubuntu ProblemType: Bug DistroRelease: Ubuntu 13.10 Package: libwebkitgtk-1.0-0 1.10.2-0ubuntu1 ProcVersionSignature: Ubuntu 3.9.0-2.7-generic 3.9.3 Uname: Linux 3.9.0-2-generic x86_64 ApportVersion: 2.10.2-0ubuntu1 Architecture: amd64 Date: Sat Jun 1 10:24:24 2013 MarkForUpload: True SourcePackage: webkit UpgradeStatus: Upgraded to saucy on 2013-05-07 (24 days ago)
2013-08-13 15:55:46 Jeremy Bicha description WebKitGTK 2.0 is a dependency of Epiphany 3.8. The webkitgtk developers have now enabled webkit2 by default (and dropped the previous webkit api to maintenance mode). The Debian packaging enables both webkit and webkit2. Note that Debian has changed the source package name from webkit to webkitgtk to match upstream's name change. http://ftp-master.metadata.debian.org/changelogs/main/w/webkitgtk/experimental_changelog Ubuntu remaining diff:   * Sync with Debian (LP: #1186558). Remaining changes:     - debian/control:       + Don't recommend universe gstreamer codecs   * Dropped changes:     - debian/control:       + Explicitly BD on libxcomposite-dev and libxdamage-dev     - debian/rules:       + Disable jit on armhf too       + use -Wl,--reduce-memory-overheads to fix LP builder timeout * TODO: libwebp needs an approved MIR (LP: #1186553) * TODO: Fails to build on PowerPC https://buildd.debian.org/status/logs.php?pkg=webkitgtk&arch=powerpc Available now in the GNOME 3 PPA for Saucy Packaging at https://code.launchpad.net/~gnome3-team/gnome3/ubuntu ProblemType: Bug DistroRelease: Ubuntu 13.10 Package: libwebkitgtk-1.0-0 1.10.2-0ubuntu1 ProcVersionSignature: Ubuntu 3.9.0-2.7-generic 3.9.3 Uname: Linux 3.9.0-2-generic x86_64 ApportVersion: 2.10.2-0ubuntu1 Architecture: amd64 Date: Sat Jun 1 10:24:24 2013 MarkForUpload: True SourcePackage: webkit UpgradeStatus: Upgraded to saucy on 2013-05-07 (24 days ago) WebKitGTK 2.0 is a dependency of Epiphany 3.8. The webkitgtk developers have now enabled webkit2 by default (and dropped the previous webkit api to maintenance mode). The Debian packaging enables both webkit and webkit2. Note that Debian has changed the source package name from webkit to webkitgtk to match upstream's name change. http://ftp-master.metadata.debian.org/changelogs/main/w/webkitgtk/experimental_changelog Ubuntu remaining diff:   * Sync with Debian (LP: #1186558). Remaining changes:     - debian/control:       + Don't recommend universe gstreamer codecs   * Dropped changes:     - debian/control:       + Explicitly BD on libxcomposite-dev and libxdamage-dev     - debian/rules:       + Disable jit on armhf too       + use -Wl,--reduce-memory-overheads to fix LP builder timeout * TODO: libwebp needs an approved MIR (LP: #1186553) * TODO: Fails to build on Debian's PowerPC (but 1.10.2 did build in Raring...) https://buildd.debian.org/status/logs.php?pkg=webkitgtk&arch=powerpc Available now in the GNOME 3 PPA for Saucy Packaging at https://code.launchpad.net/~gnome3-team/gnome3/ubuntu ProblemType: Bug DistroRelease: Ubuntu 13.10 Package: libwebkitgtk-1.0-0 1.10.2-0ubuntu1 ProcVersionSignature: Ubuntu 3.9.0-2.7-generic 3.9.3 Uname: Linux 3.9.0-2-generic x86_64 ApportVersion: 2.10.2-0ubuntu1 Architecture: amd64 Date: Sat Jun 1 10:24:24 2013 MarkForUpload: True SourcePackage: webkit UpgradeStatus: Upgraded to saucy on 2013-05-07 (24 days ago)
2013-08-16 13:05:55 Jeremy Bicha summary Please merge webkitgtk 2.0.4 from Debian Please sync webkitgtk 2.0.4 from Debian
2013-08-16 13:07:19 Jeremy Bicha description WebKitGTK 2.0 is a dependency of Epiphany 3.8. The webkitgtk developers have now enabled webkit2 by default (and dropped the previous webkit api to maintenance mode). The Debian packaging enables both webkit and webkit2. Note that Debian has changed the source package name from webkit to webkitgtk to match upstream's name change. http://ftp-master.metadata.debian.org/changelogs/main/w/webkitgtk/experimental_changelog Ubuntu remaining diff:   * Sync with Debian (LP: #1186558). Remaining changes:     - debian/control:       + Don't recommend universe gstreamer codecs   * Dropped changes:     - debian/control:       + Explicitly BD on libxcomposite-dev and libxdamage-dev     - debian/rules:       + Disable jit on armhf too       + use -Wl,--reduce-memory-overheads to fix LP builder timeout * TODO: libwebp needs an approved MIR (LP: #1186553) * TODO: Fails to build on Debian's PowerPC (but 1.10.2 did build in Raring...) https://buildd.debian.org/status/logs.php?pkg=webkitgtk&arch=powerpc Available now in the GNOME 3 PPA for Saucy Packaging at https://code.launchpad.net/~gnome3-team/gnome3/ubuntu ProblemType: Bug DistroRelease: Ubuntu 13.10 Package: libwebkitgtk-1.0-0 1.10.2-0ubuntu1 ProcVersionSignature: Ubuntu 3.9.0-2.7-generic 3.9.3 Uname: Linux 3.9.0-2-generic x86_64 ApportVersion: 2.10.2-0ubuntu1 Architecture: amd64 Date: Sat Jun 1 10:24:24 2013 MarkForUpload: True SourcePackage: webkit UpgradeStatus: Upgraded to saucy on 2013-05-07 (24 days ago) WebKitGTK 2.0 is a dependency of Epiphany 3.8. The webkitgtk developers have now enabled webkit2 by default (and dropped the previous webkit api to maintenance mode). The Debian packaging enables both webkit and webkit2. Note that Debian has changed the source package name from webkit to webkitgtk to match upstream's name change. http://ftp-master.metadata.debian.org/changelogs/main/w/webkitgtk/experimental_changelog   * Dropped changes:     - debian/control:       + Explicitly BD on libxcomposite-dev and libxdamage-dev     - debian/rules:       + Disable jit on armhf too       + use -Wl,--reduce-memory-overheads to fix LP builder timeout * TODO: libwebp needs an approved MIR (LP: #1186553) * TODO: Fix Software Center crash (LP: #1163886) Available now in the GNOME 3 PPA for Raring or Saucy Packaging at https://code.launchpad.net/~gnome3-team/gnome3/ubuntu ProblemType: Bug DistroRelease: Ubuntu 13.10 Package: libwebkitgtk-1.0-0 1.10.2-0ubuntu1 ProcVersionSignature: Ubuntu 3.9.0-2.7-generic 3.9.3 Uname: Linux 3.9.0-2-generic x86_64 ApportVersion: 2.10.2-0ubuntu1 Architecture: amd64 Date: Sat Jun 1 10:24:24 2013 MarkForUpload: True SourcePackage: webkit UpgradeStatus: Upgraded to saucy on 2013-05-07 (24 days ago)
2013-08-25 20:40:17 Logan Rosen bug added subscriber Logan Rosen
2013-10-28 18:37:17 Iain Lane webkit (Ubuntu): assignee Iain Lane (laney)
2013-11-13 09:57:36 Gianfranco Costamagna bug added subscriber LocutusOfBorg
2013-11-14 14:02:07 Iain Lane webkit (Ubuntu): status Confirmed Fix Released
2015-03-09 19:03:52 Mathew Hodson affects webkit (Ubuntu) webkitgtk (Ubuntu)
2015-03-09 19:10:03 Mathew Hodson bug watch removed http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=711750